o._MagicCard = MagicCards.permCards[11] 
o._CardTask = Languages.Texts[884]

function C7L17_Secret_Area:OnPlay(first) 
   if first then
           Player.EnabledWeapons = {nil,nil,nil,nil,nil,nil,nil,nil,nil,nil,nil,"FalseGun"}
        Player.Ammo = 
        {
            Shotgun  = 0,
            MiniGun  = 0,
            Grenades = 25,
            Stakes   = 0,
            IceBullets = 0,
            Shurikens    = 0,
            Electro      = 0,
			Rifle		 = 0,
			FlameThrower = 0,
            Bolt         = 150,
            HeaterBomb   = 0,
        }
        Player.Health = 100
   end

end

--===================================================================================
-- Find at least 3 shortcuts
function o:GetCardStatus()
	local card = self._MagicCard
	
	if Game.CardsAvailable[card.index] then return 1 end
	
	if Game.EndOfLevelActive == true and Player.ShortcutsFound < 3 then return 0 end

	
	return -1
end